<div class="main-container">
    <div class="game">
        <div class="opponent">
            <div class="stats">
                <div class="row1">
                    <div>
                        <span class="name">
                            {{enemyPokemon.pokeName}}
                        </span>
                        <span class="level">
                            {{level}}
                        </span>
                    </div>
                </div>
                <div class="health-box">
                    <div class="health-bar-red" [style.width.%]="enemyAffichageHp"></div>
                    <div class="health-bar" [style.width.%]="enemyAffichageHp"></div>
                    <div class="health-bar-text"></div>
                </div>
                <div class="top">
                    <div class="pokeballs">
                        <div [ngClass]="poke.stats[0].stat_value>0 ? 'pokeball pokeballAlive' : 'pokeball pokeballKo'" *ngFor="let poke of enemyTeam"></div>
                    </div>
                </div>
            </div>
            <img class="enemy" src="https://projectpokemon.org/images/normal-sprite/{{enemyPokemon.pokeName}}.gif" alt="A sprite of {{enemyPokemon.pokeName}}" *ngIf="displayEndgame!=1"/>
        </div>
        <div class="opponent">
            <img class="self" src="https://projectpokemon.org/images/sprites-models/normal-back/{{curPoke.pokeName}}.gif" onerror="" alt="A sprite of {{curPoke.pokeName}}" *ngIf="displayEndgame!=2"/>
            <div class="stats">
                <div class="row1">
                    <div>
                        <span class="name">
                            {{curPoke.pokeName}}
                        </span>
                        <span class="level">
                            {{level}}
                        </span>
                    </div>
                    <div id="apHP" class="hp-count">{{curHealthSelf}}</div>
                </div>
                <div class="health-box">
                    <div class="health-bar-red" [style.width.%]="affichageHp"></div>
                    <div class="health-bar" [style.width.%]="affichageHp"></div>
                    <div class="health-bar-text"></div>
                </div>
                <div class="top">
                    <div class="pokeballs">
                        <div [ngClass]="poke.stats[0].stat_value>0 ? 'pokeball pokeballAlive' : 'pokeball pokeballKo'" *ngFor="let poke of selfTeam"></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="box" *ngIf="!yourTurn">
            <div id="message" class="message">
                {{boxMessage}}
            </div>
        </div>
        <div class="box" *ngIf="yourTurn">
            <div id="message" class="message"  >
                What should {{curPoke.pokeName}} do?
            </div>
            <div class="actions">
                <button (click)="typeAdv(move)" *ngFor="let move of curPoke.moves">{{move.identifier}}    {{move.pp}}</button>
            </div>
        </div>
    </div>